Modify Compute Profile

Modify Compute Profile
Update compute profile.

Modify a compute profile with config. The behavior is same as create operation.

Request
URI
PUT
https://{server}/hybridity/api/interconnect/computeProfiles/{computeProfileId}
COPY
Path Parameters
string
computeProfileId
Required

Compute Profile ID


Request Body

Compute Profile as request body.

ixComputeProfile of type(s) application/json
Required

Show optional properties

{
    "name": "string",
    "compute": [
        {
            "cmpId": "string",
            "type": "string",
            "id": "string"
        }
    ],
    "services": [
        {
            "name": "string"
        }
    ],
    "deploymentContainer": {},
    "networks": [
        {
            "id": "string",
            "tags": [
                {}
            ]
        }
    ]
}
{
    "computeProfileId": "string",
    "name": "string",
    "location": "string",
    "locationName": "string",
    "state": "string",
    "deploymentComputeClusterName": "string",
    "deploymentComputeClusterId": "string",
    "compute": [
        {
            "cmpId": "string",
            "cmpName": "string",
            "cmpType": "string",
            "type": "string",
            "id": "string",
            "name": "string",
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "services": [
        {
            "name": "string"
        }
    ],
    "deploymentContainer": {
        "compute": [
            {
                "cmpId": "string",
                "cmpName": "string",
                "cmpType": "string",
                "type": "string",
                "id": "string",
                "name": "string",
                "status": {
                    "state": "string",
                    "errorMessage": "string"
                }
            }
        ],
        "storage": [
            {
                "cmpId": "string",
                "cmpName": "string",
                "cmpType": "string",
                "type": "string",
                "id": "string",
                "name": "string",
                "status": {
                    "state": "string",
                    "errorMessage": "string"
                }
            }
        ],
        "folder": {
            "cmpId": "string",
            "cmpName": "string",
            "type": "string",
            "id": "string",
            "name": "string",
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        },
        "cpuReservation": 0,
        "memoryReservation": 0
    },
    "networks": [
        {
            "id": "string",
            "name": "string",
            "tags": [
                "string"
            ],
            "staticRoutes": [
                {
                    "network": "string",
                    "nextHop": "string"
                }
            ],
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "switches": [
        {
            "cmpId": "string",
            "id": "string",
            "type": "string",
            "name": "string",
            "maxMtu": "number",
            "l2cApplianceCount": "number",
            "host": {
                "id": "string",
                "name": "string"
            },
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ],
    "storage": [
        {
            "cmpId": "string",
            "cmpName": "string",
            "cmpType": "string",
            "type": "string",
            "id": "string",
            "name": "string",
            "status": {
                "state": "string",
                "errorMessage": "string"
            }
        }
    ]
}
string
computeProfileId
Optional

computeProfileId

string
name
Required

name

string
location
Optional

location

string
locationName
Optional

locationName

string
state
Optional

state

string
deploymentComputeClusterName
Optional

deploymentComputeClusterName

string
deploymentComputeClusterId
Optional

deploymentComputeClusterId

array of object
compute
Required
Constraints: minItems: 1

compute

array of object
services
Required
Constraints: minItems: 1

services

object
deploymentContainer
Required

deploymentContainer

array of object
networks
Required
Constraints: minItems: 1

networks

array of object
switches
Optional

switches

array of object
storage
Optional
Constraints: minItems: 0

storage

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns computeProfilePostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "computeProfileId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Operation doesn't return any data structure

422

Unprocessable Entity

Returns computeProfilePostResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "computeProfileId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","compute":["object"],"deploymentContainer":"object","services":["object"],"networks":["object"]}' https://{api_host}/hybridity/api/interconnect/computeProfiles/{computeProfileId}